import { useLocation } from "preact-iso";

export function Header() {
  const { url } = useLocation();

  return (
    <header class="flex flex-row justify-center">
      <nav class="flex flex-row justify-center text-lg gap-4 max-w-5xl py-2 px-3 rounded-full  bg-indigo-200">
        <a
          href="/"
          class={
            (url === "/" || url === "/historical-calendar-prices") &&
            "underline font-bold"
          }
        >
          Historical Calendar Prices
        </a>
        <a
          href="/calendar-optimizer"
          class={url === "/calendar-optimizer" && "underline font-bold"}
        >
          Calendar Optimizer
        </a>
      </nav>
    </header>
  );
}
